[{
  "type": "record",
  "name": "Order",
  "namespace": "io.asouquieres.avromodel",
  "doc": "Order model",
  "fields": [
    {
      "name": "identifier",
      "type": "long"
    },
    {
      "name": "customerId",
      "type": "long"
    },
    {
      "name": "orderDate",
      "type": {
        "type" : "long",
        "logicalType" : "timestamp-millis"
      }
    },
    {
      "name":"orderLine",
      "type":{
          "type": "array",
          "items": {
              "name":"OrderLine",
              "type":"record",
              "fields":[
                  {"name":"productId", "type":"string"},
                  {"name":"quantity", "type":"int"}
              ]
          }
      }
    }
  ]
},
{
  "type": "record",
  "name": "Product",
  "namespace": "io.asouquieres.avromodel",
  "doc": "Product model",
  "fields": [
    {
      "name": "productId",
      "type": "long"
    },
    {
      "name": "craftingCompany",
      "type": "long"
    },
    {
      "name": "description",
      "type": "string"
    },
    {
      "name": "name",
      "type": "string"
    }
  ]
},
{
  "type": "record",
  "name": "Customer",
  "namespace": "io.asouquieres.avromodel",
  "doc": "Customer model",
  "fields": [
    {
      "name": "id",
      "type": "long"
    },
    {
      "name": "commonName",
      "type": "string"
    },
    {
      "name": "postalCode",
      "type": "string"
    },
   {
     "name": "adress",
     "type": "string"
   },
   {
     "name": "inscriptionDate",
     "type": {
             "type" : "long",
             "logicalType" : "timestamp-millis"
           }
   }
  ]
},
{
  "type": "record",
  "name": "LegacyCustomer",
  "namespace": "io.asouquieres.avromodel",
  "doc": "Legacy Customer model",
  "fields": [
    {
      "name": "identifier",
      "type": "long"
    },
    {
      "name": "c_name",
      "type": "string"
    },
    {
      "name": "full_address",
      "type": "string"
    },
    {
      "name": "contactDate",
      "type": {
              "type" : "long",
              "logicalType" : "timestamp-millis"
            }
    }
  ]
},
{
  "type": "record",
  "name": "Invoice",
  "namespace": "io.asouquieres.avromodel",
  "doc": "Invoice model",
  "fields": [
     {"name":"orderId", "type":"long"},
     {"name":"customerId", "type":"int"},
     {"name":"total", "type":
      {
        "type": "bytes",
        "logicalType": "decimal",
        "precision": 4,
        "scale": 2
      }
     },
     {
       "name":"invoiceLine",
       "type":{
           "type": "array",
           "items": "OrderLine"
       }
     }
  ]
},
 {
   "type": "record",
   "name": "Quotation",
   "namespace": "io.asouquieres.avromodel",
   "doc": "Quotation model",
   "fields": [
      {"name":"orderId", "type":"long"},
      {"name":"customerId", "type":"int"},
      {"name":"total", "type":"int"}
   ]
 },
 {
   "type": "record",
   "name": "InProgressReportLine",
   "namespace": "io.asouquieres.avromodel",
   "doc": "SalesReport line",
   "fields": [
      {"name":"orderId", "type":"long"},
      {"name":"customerId", "type":"long"},
      {"name":"quantity", "type":"int"},
      {"name":"productId", "type":"string"}
   ]
 },
 {
   "type": "record",
   "name": "Payment",
   "namespace": "io.asouquieres.avromodel",
   "doc": "SalesReport line",
   "fields": [
      {"name":"orderId", "type":"long"},
      {"name":"customerId", "type":"long"},
      {"name":"quantity", "type":"int"},
      {"name":"productId", "type":"string"}
   ]
 }
]